Bug 1228419 - OSP director does not support split network overcloud configurations
Summary: OSP director does not support split network overcloud configurations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: Director
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ga
: Director
Assignee: Dan Sneddon
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-04 21:51 UTC by Ben Nemec
Modified: 2015-08-05 13:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The director provides a method to isolate different network services on individual subnets and VLANs. These instructions are contains within the Basic and Advanced Overcloud Scenarios in the Red Hat Enterprise Linux OpenStack Platform 7.0 Director Installation and Usage guide.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:52:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Ben Nemec 2015-06-04 21:51:10 UTC
Description of problem: OSP director currently only supports a simple one-network configuration for overcloud services.  It needs to allow splitting some services onto separate networks for security and performance reasons.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 chris alfonso 2015-06-09 11:19:17 UTC
The functionality to isolate networks should land in midstream this week. Dan Sneddon will add documenation on how to use it.

Comment 6 Dan Sneddon 2015-06-10 19:47:24 UTC
The network isolation code was just merged into midstream yesterday. A couple of us are testing now, and if we can get the overcloud to deploy with the new code we will put it on CI.

Documentation for the network isolation code will be added to the rdo-manager docs.

Comment 9 Alexander Chuzhoy 2015-07-20 15:42:38 UTC
Verified:
Environment:
instack-undercloud-2.1.2-21.el7ost.noarch

The network isolation has been added and it's possible now to separate networks:

Provisioning 
Internal API 
Tenant 
Storage 
Storage Management 
External

Comment 11 errata-xmlrpc 2015-08-05 13:52:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.